<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:07 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>D-Index</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><a href="../DAO/package-summary.html">DAO</a> - package DAO</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#dbExists--">dbExists()</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Metodo para saber si la base de datos 'notaria' existe</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/BookProcess.html#deleteBook-java.lang.String-">deleteBook(String)</a></span> - Method in class Negocio.<a href="../Negocio/BookProcess.html" title="class in Negocio">BookProcess</a></dt>
<dd>
<div class="block">Borrado de un libro de la biblioteca<br></div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#deleteBookBBDD-int-">deleteBookBBDD(int)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Borrado de un libro en la BBDD<br>

 Metodo que borrara el registro que contenga un numero ISBN igual que el
 introducido</div>
</dd>
<dt><span class="memberNameLink"><a href="../Vista/HistorialPrestamosVista.html#deleteRowsModelo--">deleteRowsModelo()</a></span> - Method in class Vista.<a href="../Vista/HistorialPrestamosVista.html" title="class in Vista">HistorialPrestamosVista</a></dt>
<dd>
<div class="block">Metodo para filas del modelo</div>
</dd>
<dt><span class="memberNameLink"><a href="../Vista/PrestamoActualVista.html#deleteRowsModelo--">deleteRowsModelo()</a></span> - Method in class Vista.<a href="../Vista/PrestamoActualVista.html" title="class in Vista">PrestamoActualVista</a></dt>
<dd>
<div class="block">Metodo con el cual se borraran las filas existentes en la JTable <br></div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#deleteUserBBDD-java.lang.String-">deleteUserBBDD(String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Borrar usuario de la BBDD<br>

 Metodo para el borrado de un registro concreto en la base de datos</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserProcess.html#deleteUsuario-java.lang.String-">deleteUsuario(String)</a></span> - Method in class Negocio.<a href="../Negocio/UserProcess.html" title="class in Negocio">UserProcess</a></dt>
<dd>
<div class="block">Eliminacion de un usuario<br>
 Metodo para eliminar a un usuario.</div>
</dd>
<dt><a href="../Vista/DevolucionLibroVista.html" title="class in Vista"><span class="typeNameLink">DevolucionLibroVista</span></a> - Class in <a href="../Vista/package-summary.html">Vista</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vista/DevolucionLibroVista.html#DevolucionLibroVista-Vista.Escritorio-">DevolucionLibroVista(Escritorio)</a></span> - Constructor for class Vista.<a href="../Vista/DevolucionLibroVista.html" title="class in Vista">DevolucionLibroVista</a></dt>
<dd>
<div class="block">Creates new form DevolucionLibroVista</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#devolverLibro-java.lang.String-java.lang.String-">devolverLibro(String, String)</a></span> - Method in class Negocio.<a href="../Negocio/PrestamosProcess.html" title="class in Negocio">PrestamosProcess</a></dt>
<dd>
<div class="block">Devolucion de un libro<br>
 
 Metodo para la devolucion por parte de un usuario de un libro.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
